<?php
$this->set_greedy_script_limits();

// Set up backup data from the backupbuddy_dat.php.
$this->load_backup_dat();
$failed = false;

echo $this->status_box( 'Migrating database content with ImportBuddy ' . $this->_version . '...' );

// Migrate DATABASE if not disabled.
if ( false === $this->_options['skip_database_migration'] ) {
	$failed = !$this->migrate_database();
	// Migrate WP config.
	if ( $failed === false ) {
		$this->migrate_wp_config();
	}
} else {
	$failed = false;
	$this->status( 'message', 'Skipping database migration based on settings.' );
}

if ( false === $failed ) {
	$response = 'Import complete!';
	
	$this->status( 'message', $response );
	echo '<br><br><b>' . $response . '</b><br><br>';
	echo '<img src="?ezimg=bullet_error.png" style="float: left;"><div style="margin-left: 20px;">Verify site functionality then delete the backup ZIP file and importbuddy.php from your site root (the next step will attempt to do this for you). Leaving these files is a security risk. Leaving the zip file and then subsequently running a BackupBuddy backup will result in excessively large backups as this zip file will be included.</div>';

	echo '<form action="?step=6" method=post>';
	echo '<input type="hidden" name="options" value="' . htmlspecialchars( serialize( $this->_options ) ) . '" />';
	echo '<br><p style="text-align: center;"><input type="submit" name="submit" class="button" value="Delete import & migration files &raquo" /></p>';
	echo '</form>';
} else {
	echo '<b>Restore failed. Please use your back button to correct any errors.</b>';
}
?>